# FIXME: fix the cases when immediate symbol resolution is not enough.
# For the present, fall back to the old symbol resolution rules for ld.
%define _disable_ld_now 1

Summary:	X.org driver for SiS Cards
Name:		x11-driver-video-sis
Version:	0.10.7
Release:	6
License:	MIT
Group:		System/X11
Url:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-sis-%{version}.tar.bz2
Patch1:		0001-Fix-compilation-with-Werror-format-security.patch
Patch2:		0001-Replace-xf86UnMapVidMem-with-pci_device_unmap_range.diff
Patch3:		xf86-video-sis-0.10.7-remove_mibstore_h.patch
Patch4:		0001-Disable-UploadToScreen-and-DownloadFromScreen.patch
Patch5:		0002-xserver-1.14.patch
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(libdrm)
BuildRequires:	pkgconfig(xorg-macros)
BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	pkgconfig(xproto)
Requires:	x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
x11-driver-video-sis is the X.org driver for SiS Cards.

%files
%{_libdir}/xorg/modules/drivers/sis_drv.so
%{_mandir}/man4/sis.*

#----------------------------------------------------------------------------

%prep
%setup -qn xf86-video-sis-%{version}
%apply_patches

%build
%configure2_5x
%make

%install
%makeinstall_std


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.10.7-6
+ Revision: 4590248
- MassBuild#440: Increase release tag


